curl -X POST 'https://crypto-api.yativo.com/api/yativo-card/onboard' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"email": "user@example.com",
"first_name": "Jane",
"last_name": "Doe"
}'
{
"success": true,
"data": {
"account": {
"yativo_card_id": "yativo_card_0xAbCd1234EfGh5678IjKl9012_1769031332068",
"email": "merchant@example.com",
"flow_status": "safe_deployed",
"current_step": 4,
"progress_percentage": 100,
"kyc_status": "approved",
"terms_accepted": true,
"safe_deployed": true,
"created_at": "2026-01-21T21:35:32.076Z",
"updated_at": "2026-03-28T08:15:57.023Z"
}
}
}
Register a user for the Yativo Card program
curl -X POST 'https://crypto-api.yativo.com/api/yativo-card/onboard' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"email": "user@example.com",
"first_name": "Jane",
"last_name": "Doe"
}'
{
"success": true,
"data": {
"account": {
"yativo_card_id": "yativo_card_0xAbCd1234EfGh5678IjKl9012_1769031332068",
"email": "merchant@example.com",
"flow_status": "safe_deployed",
"current_step": 4,
"progress_percentage": 100,
"kyc_status": "approved",
"terms_accepted": true,
"safe_deployed": true,
"created_at": "2026-01-21T21:35:32.076Z",
"updated_at": "2026-03-28T08:15:57.023Z"
}
}
}
Bearer YOUR_ACCESS_TOKENcurl -X POST 'https://crypto-api.yativo.com/api/yativo-card/onboard' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"email": "user@example.com",
"first_name": "Jane",
"last_name": "Doe"
}'
{
"success": true,
"data": {
"account": {
"yativo_card_id": "yativo_card_0xAbCd1234EfGh5678IjKl9012_1769031332068",
"email": "merchant@example.com",
"flow_status": "safe_deployed",
"current_step": 4,
"progress_percentage": 100,
"kyc_status": "approved",
"terms_accepted": true,
"safe_deployed": true,
"created_at": "2026-01-21T21:35:32.076Z",
"updated_at": "2026-03-28T08:15:57.023Z"
}
}
}